Coolify logoCoolify
PATCH
/projects/{uuid}

Update Project.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the project.

Request Body

application/json

Project updated.

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the project.

description?string

The description of the project.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "uuid": "og888os",  "name": "Project Name",  "description": "Project Description"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}